{ lib, ... }:
with lib; {
  options.system = {
    desktop.enable = mkOption {
      type = types.bool;
      default = true;
      description = "Enable desktop apps and services";
    };
    server.enable = mkOption {
      type = types.bool;
      default = false;
      description = "Enable server services";
    };
  };
}
